org.apache.commons.configuration2

## Interface FileBasedConfiguration

- All Superinterfaces:
    Configuration, FileBased, ImmutableConfiguration, SynchronizerSupport
  All Known Implementing Classes:
    INIConfiguration, JSONConfiguration, PatternSubtreeConfigurationWrapper, PropertiesConfiguration, PropertyListConfiguration, XMLConfiguration, XMLPropertiesConfiguration, XMLPropertyListConfiguration, YAMLConfiguration

      public interface FileBasedConfiguration
      extends FileBased, Configuration

  An interface which combines the `FileBased` and `Configuration` interfaces.

  This interface is used to parameterize `ConfigurationBuilder` implementations which produce configurations read from a `FileHandler`.

  Since:
    2.0
  Version:
    $Id: FileBasedConfiguration.java 1624601 2014-09-12 18:04:36Z oheger $

- - ### Method Summary

    - ### Methods inherited from interface org.apache.commons.configuration2.io.FileBased

      `read, write`

    - ### Methods inherited from interface org.apache.commons.configuration2.Configuration

      `addProperty, clear, clearProperty, getInterpolator, installInterpolator, setInterpolator, setProperty, subset`

    - ### Methods inherited from interface org.apache.commons.configuration2.ImmutableConfiguration

      `containsKey, get, get, getArray, getArray, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getCollection, getCollection, getDouble, getDouble, getDouble, getEncodedString, getEncodedString, getFloat, getFloat, getFloat, getInt, getInt, getInteger, getKeys, getKeys, getList, getList, getList, getList, getLong, getLong, getLong, getProperties, getProperty, getShort, getShort, getShort, getString, getString, getStringArray, immutableSubset, isEmpty, size`

    - ### Methods inherited from interface org.apache.commons.configuration2.sync.SynchronizerSupport

      `getSynchronizer, lock, setSynchronizer, unlock`

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.